Name:           perl-Graph
Version:        0.84
Release:        1%{?dist}
Summary:        Perl module for dealing with graphs, the abstract data structures

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Graph/
Source0:        http://www.cpan.org/authors/id/J/JH/JHI/Graph-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Heap)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is Graph, a Perl module for dealing with graphs, the abstract
data structures. 
 
This is a full rewrite of the Graph module 0.2xx series as discussed
in the book "Mastering Algorithms with Perl", written by Jarkko
Hietaniemi (the undersigned), John Macdonald, and Jon Orwant,
and published by O'Reilly and Associates.  This rewrite is not
fully compatible with the 0.2xx series.


%prep
%setup -q -n Graph-%{version}

# avoid extra dependencies
chmod 644 util/cover.sh


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -a \( -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README RELEASE DESIGN Changes TODO util
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Wed Sep 05 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.84-1
- Update to latest upstream.

* Thu Aug 23 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.83-3
- License tag to GPL+ or Artistic as per new guidelines.

* Sat Aug 18 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.83-2
- Add missing BR: perl(Test::More)

* Sat Aug 18 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.83-1
- Update to latest upstream

* Wed Mar 23 2007 Alex Lancaster <alexl@users.sourceforge.net> 0.81-1
- Update to 0.81

* Wed Apr 06 2005 Hunter Matthews <thm@duke.edu> 0.59-2
- Review suggestions from José Pedro Oliveira

* Fri Mar 18 2005 Hunter Matthews <thm@duke.edu> 0.59-1
- Initial Packageing.


